Created: 2012-12-13 Assigned To: Karsten Dambekalns
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Flow 2.0.0 beta 1
Subject: Core migration tool halts on packages having no Configuration directory
Description

as it's the case in the TYPO3.Media package for example, packages having no "Configuration" directory, 
http://git.typo3.org/FLOW3/Packages/TYPO3.Media.git/tree/master, make the core migration tool halt with an exception message:

PHP Fatal error:  Uncaught exception 'TYPO3\Flow\Utility\Exception' with message
'"C:/Users/afoeder/PhpstormProjects/acme/Distribution/Packages\Application\TYPO3.Media/Configuration" is no directory.' in
C:\Users\afoeder\PhpstormProjects\acme\Distribution\Packages\Framework\TYPO3.Flow\Classes\TYPO3\Flow\Utility\Files.php:84
Stack trace:
#0 C:\Users\afoeder\PhpstormProjects\acme\Distribution\Packages\Framework\TYPO3.Flow\Scripts\Migrations\AbstractMigration.php(266): TYPO3\Flow\Utility\Files::readDirectoryRecursively('C:
p:84
Stack trace:
#0
C:\Users\afoeder\PhpstormProjects\acme\Distribution\Packages\Framework\TYPO3.Flow\Scripts\Migrations\AbstractMigration.php(266): TYPO3\Flow\Utility\Files::readDirectoryRecursively('C:/Users/afoede...', 'yaml', true)
#1 C:\Users\afoeder\PhpstormProjects\acme\Distribution\Packages\Framework\TYPO3.Flow\Migrations\Code\Version201212051340.php(38): TYPO3\Flow\Core\Migrations\AbstractMigration->processConfiguration('Policy', Object(Closure), true)
#2 C:\Users\af
.php(266): TYPO3\Flow\Utility\Files::readDirectoryRecursively('C:/Users/afoede...', 'yaml', true)
#1
C:\Users\afoeder\PhpstormProjects\acme\Distribution\Packages\Framework\TYPO3.Flow\Migrations\Code\Version201212051340.php(38): TYPO3\Flow\Core\Migrations\AbstractMigration->processConfiguration('Policy', Object(Closure), true)
#2 C:\Users\afoeder\PhpstormProjects\acme\Distribution\Packages\Framework\TYPO3.Flow\Scripts\Migrations\Manager.php(129): TYPO3\Flow\Core\Migrations\Version201212051340->up()
#3 C:\Users\afoeder\PhpstormProjects\acme\Distribution\ in C:\Users\afoeder\PhpstormProjects\acme\Distribution\Packages\Framework\TYPO3.Flow\Scripts\Migrations\Manager.php on line 133

340.php(38): TYPO3\Flow\Core\Migrations\AbstractMigration->processConfiguration('Policy', Object(Closure), true)
#2
C:\Users\afoeder\PhpstormProjects\acme\Distribution\Packages\Framework\TYPO3.Flow\Scripts\Migrations\Manager.php(129): TYPO3\Flow\Core\Migrations\Version201212051340->up()
#3 C:\Users\afoeder\PhpstormProjects\acme\Distribution\ in C:\Users\afoeder\PhpstormProjects\acme\Distribution\Packages\Framework\TYPO3.Flow\Scripts\Migrations\Manager.php on line 133

): TYPO3\Flow\Core\Migrations\Version201212051340->up()
#3 C:\Users\afoeder\PhpstormProjects\acme\Distribution\ in
C:\Users\afoeder\PhpstormProjects\acme\Distribution\Packages\Framework\TYPO3.Flow\Scripts\Migrations\Manager.php on
line 133

Associated revisions
Revision dec41821 - 2012-12-20 11:23 - Karsten Dambekalns

[BUGFIX] Fix migration error on missing Configuration directory

For packages having no Configuration directory the core migration tool
died with an error message when trying to process configuration. This
is solved by checking for existence before trying to read any files.

Change-Id: I2acff9cb5703573c4862aa31bf62defdf057769a
Fixes: #43948
Releases: master, 2.0
History
#1 - 2012-12-13 12:16 - Adrian Föder
- Subject changed from Core migration tool halts on packages if not having Configuration dir to Core migration tool halts on packages having no 
Configuration directory

#2 - 2012-12-13 12:30 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 2.0

#3 - 2012-12-13 12:32 - Karsten Dambekalns
- Affected Flow version changed from Git 1.2 (master) to Flow 2.0.0 beta 1

#4 - 2012-12-20 11:24 - Karsten Dambekalns
- Status changed from Accepted to Under Review

https://review.typo3.org/17251

#5 - 2013-01-09 12:07 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
